#import <Foundation/NSString.h>

@interface EOEntity
-(id)name;
-(id)parentEntity;
-(NSString *)frameworkName;
-(id)model;
-(id)className;
-(id)relationships;
-(id)className;
-(id)attributeNamed:(id)name;
-(id)relationshipNamed:(id)name;
-(id)fetchSpecificationNames;
-(id)fetchSpecificationNamed:(id)name;
@end

@interface NSString (EOEntityAdditions)
+ (NSString *)externalNameForInternalName:(NSString *)name separatorString:(NSString *)separatorString useAllCaps:(BOOL)useAllCaps;
+ (NSString *)nameForExternalName:(NSString *)name separatorString:(NSString *)separatorString initialCaps:(BOOL)initialCaps;
@end
